# Get screens of a flow

Retrieve the list of screens in a flow.

Endpoint: GET /v1/projects/{projectId}/whatsapp/flows/{flowId}/screens
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `BearerAuth` (unknown)
    http bearer JWT

  - `OAuth2Production` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

  - `flowId` (string, required)

## Response 200:

  - `200` (unknown)
    Flow screens

## Response 200 fields (application/json):

  - `screens` (array, required)
    List of screens for flow.

  - `screens.id` (string, required)
    Unique identifier of the screen which works as a page url.

## Response 400:

  - `400` (unknown)
    BadRequest

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: project_not_initialized

  - `message` (string)
    Human readable message.
    Example: Project not initialized for WhatsApp.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that the project ID is correct and that it has been onboarded for WhatsApp.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: unauthorized_error

  - `message` (string)
    Human readable message.
    Example: Unauthorized error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that projectId is correct.

## Response 404:

  - `404` (unknown)
    NotFound

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: project_not_found

  - `message` (string)
    Human readable message.
    Example: Project not found.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that the projectId is correct.

## Response 500:

  - `500` (unknown)
    InternalServerError

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: internal_error

  - `message` (string)
    Human readable message.
    Example: Internal server error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please wait and try again, if the error persist please contact support.

## Response 200 examples:

  - `Flow screens response` (unknown)
    Successful response to a "list screens for a flow" query.

